
QGIS Application - Bug report #20697

QGIS 3.4.2 crashes on exit

2018-12-03 07:04 AM - Grant Boxer

Status: Closed

Priority: High

Assignee:

Category: Build/Install

Affected QGIS version:3.4.2 Regression?: Yes

Operating System: Win10 and Linux Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:Yes Copied to github as #: 28517

Description

User Feedback

QGIS crashes on exit

Report Details

Crash ID: 62f1fcd2045780cb9f127836e6b579b8665f3e63

Stack Trace

proj_lpz_dist :

proj_lpz_dist :

QgsCoordinateTransform::transformPolygon :

QgsCoordinateTransform::transformPolygon :

QgsCoordinateTransform::QgsCoordinateTransform :

QHashData::free_helper :

QgsCoordinateTransform::addToCache :

QgsCoordinateTransform::invalidateCache :

QgsApplication::exitQgis :

QgisApp::~QgisApp :

CPLStringList::operator[] :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.2-Madeira

QGIS code revision: commit:22034aa070

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

Related issues:

Duplicates QGIS Application - Bug report # 20283: Crash when exiting program ... Reopened 2018-10-30

Duplicated by QGIS Application - Bug report # 20757: crash when closing deskt... Closed 2018-12-08

History

#1 - 2018-12-03 01:48 PM - Alessandro Pasotti
- Operating System changed from Win10 to Win10 and Linux

- Crashes QGIS or corrupts data changed from No to Yes

I've seen that randomly on linux too, it's probably due to the destruction of the static multihash sTransforms in QgsApplication::exitQgis

#2 - 2018-12-05 05:28 PM - Giovanni Manghi

- Category changed from Unknown to Build/Install

- Priority changed from Normal to High

- Regression? changed from No to Yes

#3 - 2018-12-05 08:32 PM - Jürgen Fischer

- Duplicates Bug report #20283: Crash when exiting program [proj_lpz_dist] added

#4 - 2018-12-06 09:34 AM - Giovanni Manghi

- Duplicated by Bug report #20720: "QGIS 3 quit unexpectedly." added

#5 - 2018-12-06 09:35 AM - Giovanni Manghi

- Duplicated by Bug report #19991: QGIS crash on exit added

#6 - 2018-12-06 04:58 PM - KL Higgins

Same here (every time I close QGIS 3.4.2 -- but no data is lost). Windows 10. x64

Crash ID: 7442373e0283e1ddab9b4be290841057a580a7ea

Stack Trace

proj_lpz_dist :

proj_lpz_dist :

QgsCoordinateTransform::transformPolygon :

QgsCoordinateTransform::transformPolygon :

QgsCoordinateTransform::~QgsCoordinateTransform :

QgsPointLocator::~QgsPointLocator :

QgsPointLocator::~QgsPointLocator :

QgsSnappingUtils::clearAllLocators :

QgsSnappingUtils::~QgsSnappingUtils :

QgsVectorLayerProperties::`default constructor closure' :

QObjectPrivate::deleteChildren :

QWidget::~QWidget :

CPLStringList::operator[] :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.2-Madeira

QGIS code revision: 22034aa070

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

2025-04-27 2/3



System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

#7 - 2018-12-10 10:09 AM - Giovanni Manghi

- Duplicated by Bug report #20757: crash when closing desktop application added

#8 - 2018-12-11 01:21 PM - Giovanni Manghi

- Duplicated by Bug report #20766: QGIS 3.4.2 crashes upon exit added

#9 - 2018-12-11 10:30 PM - Giovanni Manghi

- Duplicated by Bug report #20782: crash when quit Qgis added

#10 - 2018-12-12 08:41 AM - Jürgen Fischer

- Duplicated by deleted (Bug report #20766: QGIS 3.4.2 crashes upon exit)

#11 - 2018-12-12 08:42 AM - Jürgen Fischer

- Duplicated by deleted (Bug report #19991: QGIS crash on exit)

#12 - 2018-12-12 08:43 AM - Jürgen Fischer

- Duplicated by deleted (Bug report #20720: "QGIS 3 quit unexpectedly.")

#13 - 2018-12-12 08:45 AM - Jürgen Fischer

- Duplicated by deleted (Bug report #20782: crash when quit Qgis)

#14 - 2018-12-14 08:53 AM - Jürgen Fischer

- Status changed from Open to Closed

- Resolution set to duplicate
